
Pre-Development - Bug #19541

FE - React - WS call multiple time after leave the page

22 January 2024 05:15 PM - chok yee fan

Status: Closed Start date: 22 January 2024

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

issue

-----

Currently the page will call web service after leave the page.

expected

-----

Currently the page SHOULD NOT call web service after leave the page.

History

#1 - 22 January 2024 05:15 PM - chok yee fan

chok: cciam use effectOnce useRef to execute once only at search

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/f39d431f42c395e5b1341cef7ad41e40077e4e29

#2 - 22 January 2024 05:16 PM - chok yee fan

- Assignee changed from chok yee fan to Amirul Umar Pandai

Please apply it into your department module since is different coding pattern from others.

#3 - 23 January 2024 11:01 AM - Amirul Umar Pandai

- Status changed from New to Resolved

- Assignee changed from Amirul Umar Pandai to chok yee fan

Committed together with project-wide changes (search DepartmentForm.tsx and DepartmentSearch.tsx for fix for this issue)

useEffectOnce + useLanguageChanged custom hook

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/f1d3d62434b13f80bab35926265f33721e10876f

#4 - 29 January 2024 11:31 AM - chok yee fan

- Status changed from Resolved to Closed

working as expected
